<template>
    <div class="container mt-5 resultsPage">
        <h1>See results by date</h1>
        <AppSelectDateRange
                @dateRange="getImagesByDateRange"
        />
        <div v-if="show" class="padding-top-32">
            <AppUploadVSProcessed
                    :uploadedImages="uploaded"
                    :processedImages="processed"
                    :class="unhealthy.fullscreen === 'true' || healthy.fullscreen === 'true' ? 'disabled' : ''"
            />
            <div :class="unhealthy.fullscreen === 'true' || healthy.fullscreen === 'true' ? '' : 'grid'">
                <AppHealth class="grid__cl-1"
                           :type="0"
                           :percentage="unhealthy.percentage"
                           :imagesCount="unhealthy.count"
                           v-model="unhealthy.fullscreen"
                           :class="healthy.fullscreen === 'true' ? 'disabled' : ''"
                />
                <AppHealth class="grid__cl-2"
                           :type="1"
                           :percentage="healthy.percentage"
                           :imagesCount="healthy.count"
                           v-model="healthy.fullscreen"
                           :class="unhealthy.fullscreen === 'true' ? 'disabled' : ''"
                />
            </div>
        </div>
    </div>

</template>
<script>
    import AppSelectDateRange from '~/components/uikit/select-date-range.vue';
    import AppUploadVSProcessed from '~/components/statistics/uploadVSprocessed.vue';
    import AppHealth from '~/components/statistics/health.vue';

    export default {
        components: {
            AppSelectDateRange,
            AppUploadVSProcessed,
            AppHealth
        },
        data() {
            return {
                show: false,
                uploaded: 0,
                processed: 0,
                healthy: {
                    percentage: 0,
                    count: 0,
                    fullscreen: ''
                },
                unhealthy: {
                    percentage: 0,
                    count: 0,
                    fullscreen: ''
                }
            }
        },
        methods: {
            async getImagesByDateRange(dateRange) {
                await this.$store.dispatch("images/getByDateRange", dateRange)
                this.show = true;

                this.uploaded = this.$store.state.images.uploadedImages;
                this.processed = this.$store.state.images.processedImages;

                this.healthy.percentage = this.$store.state.images.healthyPercentage;
                this.healthy.count = this.$store.state.images.healthyImages.length;

                this.unhealthy.percentage = this.$store.state.images.unhealthyPercentage;
                this.unhealthy.count = this.$store.state.images.unhealthyImages.length;
            }
        },

    }
</script>
